CGAL 6.0.2 - 2D Polygon Repair

Loading...
Searching...
No Matches
Functions
Functions
2D Polygon Repair Reference

##

## Functions
template<class Kernel , class Container , class Rule = Even_odd_rule>
Multipolygon_with_holes_2< Kernel, Container > | CGAL::Polygon_repair::repair (const Polygon_2< Kernel, Container > &p, Rule=Rule())
| repairs polygon `p` using the given rule
template<class Kernel , class Container , class Rule = Even_odd_rule>
Multipolygon_with_holes_2< Kernel, Container > | CGAL::Polygon_repair::repair (const Polygon_with_holes_2< Kernel, Container > &p, Rule=Rule())
| repairs polygon with holes `p` using the given rule
template<class Kernel , class Container , class Rule = Even_odd_rule>
Multipolygon_with_holes_2< Kernel, Container > | CGAL::Polygon_repair::repair (const Multipolygon_with_holes_2< Kernel, Container > &p, Rule=Rule())
| repairs multipolygon with holes `p` using the given rule

## Function Documentation

## ◆ repair() [1/3]

template<class Kernel , class Container , class Rule = Even_odd_rule>

Multipolygon_with_holes_2< Kernel, Container > CGAL::Polygon_repair::repair | ( | const Multipolygon_with_holes_2< Kernel, Container > & | p,
|  | Rule | = `Rule()`
| ) |  |

`#include <CGAL/Polygon_repair/repair.h>`

repairs multipolygon with holes `p` using the given rule

Template Parameters

  Kernel | parameter of the input and output polygons
  Container | parameter of the input and output polygons
  Rule | must be `Even_odd_rule`

## ◆ repair() [2/3]

template<class Kernel , class Container , class Rule = Even_odd_rule>

Multipolygon_with_holes_2< Kernel, Container > CGAL::Polygon_repair::repair | ( | const Polygon_2< Kernel, Container > & | p,
|  | Rule | = `Rule()`
| ) |  |

`#include <CGAL/Polygon_repair/repair.h>`

repairs polygon `p` using the given rule

Template Parameters

  Kernel | parameter of the input and output polygons
  Container | parameter of the input and output polygons
  Rule | must be `Even_odd_rule`

Examples
  Polygon_repair/repair_multipolygon_2.cpp, and Polygon_repair/repair_polygon_2.cpp.

## ◆ repair() [3/3]

template<class Kernel , class Container , class Rule = Even_odd_rule>

Multipolygon_with_holes_2< Kernel, Container > CGAL::Polygon_repair::repair | ( | const Polygon_with_holes_2< Kernel, Container > & | p,
|  | Rule | = `Rule()`
| ) |  |

`#include <CGAL/Polygon_repair/repair.h>`

repairs polygon with holes `p` using the given rule

Template Parameters

  Kernel | parameter of the input and output polygons
  Container | parameter of the input and output polygons
  Rule | must be `Even_odd_rule`